# frozen_string_literal: true

class UpdateUntensedAreaJob < ActiveJob::Base
 
  queue_as :updateuntensedlow
  unique :until_executed
  
  def perform(department, insee_code, is_deleted)
      concerned_requests = Hermes::HousingRequest.where({"$or" =>
                                                           [{seeked_district_insee_codes: insee_code},
                                                            {seeked_departments: department}
                                                           ]})
      concerned_requests.each do |concerned_request|
        if is_deleted
          concerned_request.is_untensed_area = false
        else
          concerned_request.update_untensed_area
        end
        concerned_request.save
      end
 
  end
end
