# frozen_string_literal: true

module Hermes
  # Base Record structure for hermes project (Parent Class)
  class ApplicationRecord
    include Mongoid::Document
    include Mongoid::Timestamps

    belongs_to(:user, index: true)

    include ::AclProtected # evoluera certainement

    @@engine_path = Hermes::Engine.root
    require_sugar_path = %w[lib hermes tools require_sugar]

    # simplify hermes lib tools and workers requires
    #   adding
    #     1. hermes_tools(*arr) => requiring specified list of lib/hermes/tools
    #     2. hermes_workers(*arr) => requring specified list of lib/hermes/workers
    #   to every model including the concern
    require @@engine_path.join(*require_sugar_path).to_s

    index(readers: 1)
    index(writers: 1)
  end
end
