module Hermes
  class Xml
    include Hermes::Concerns::CommonFieldsConcern

    field :xml, type: String 
    field :type, type: String
    field :reference_model_name, type: String
    field :object_id, type: BSON::ObjectId

    owner_field :user_id

    common_indexes *%i[
      user_id
      type
      reference_model_name
      object_id
    ]

    index({type: 1,  object_id: 1, reference_model_name: 1})
  end 
end 
