# frozen_string_literal: true

module Hermes
  # Lessor serializer
  class StatusSerializer < Hermes::ApplicationSerializer
    attributes %i[
      reference_model_name
      status_label
      motive
      title
      object_id
      performer_id
      closed_at
      closed_by_id
      closing_id
      applicant_id
      housing_request_id
      housing_offer_id
      housing_application_id
      entity_id
      lessor_id
    ]
    
    type 'statuses'

    def object_id
      object.object_id.to_s
    end 

    def closed_by_id
      object.closed_by.to_s
    end
    
    def closing_id
      object.closing&.to_s
    end
    
    def applicant_id
      object.applicant_id.to_s
    end
    
    def housing_request_id
      object.housing_request_id.to_s
    end
    
    def housing_offer_id
      object.housing_offer_id.to_s
    end
    
    def housing_application_id
      object.housing_application_id.to_s
    end
    
    def entity_id
      object.entity_id.to_s
    end
    
    def lessor_id
      object.lessor_id.to_s
    end
  end
end
