require 'nokogiri'
module Hermes
  class BoClient::WorkflowRequestBuilder

    def initialize
      if block_given?
        yield self
      end
    end

    def attribute(name, value)
      build do |xml|
        xml.send(name,value)
      end
    end

    def parameter(key,given_value=nil, options={}, &block)
      value_tag=options[:value_tag]||'value'
      bg=block_given?
      build do |xml|
        xml.parameters do |xml|
          xml.key key
          if bg
            xml.send(value_tag, &block)
          else
            xml.send(value_tag, given_value)
          end
        end
      end
    end

    def to_xml
      xml_document.to_xml
    end


    private

    def xml_document
      @xml_document||=Nokogiri::XML::Builder.new(:encoding => 'UTF-8') do |xml|
        xml.executeWorkflowRequest
      end.doc
    end

    def build(&block)
      Nokogiri::XML::Builder.with(xml_document.at('executeWorkflowRequest'),&block)
    end

  end
end