# frozen_string_literal: true

module Hermes
  module Tools
    # Handlers for transition from old to enw
    module HandleDso
      def structure_dso(instance)
        return unless instance

        base_fields = instance.attributes
                              .slice(%w[created_at updated_at readers writers])
        {
          id: instance.id,
          type: 'housing_offers',
          attributes: instance.superfields.merge(base_fields)
        }
      end
    end
  end
end

include Hermes::Tools::HandleDso
